<?php
/**
 * @version 2.0 2012-01-20
 * @package Joomla
 * @subpackage Intellectual Property
 * @copyright (C) 2012 the StarTech
 * @license GNU/GPL see LICENSE.php
 */

defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');
require_once (JPATH_SITE.DS.'components'.DS.'com_iproperty'.DS.'helpers'.DS.'html.helper.php' );
require_once (JPATH_SITE.DS.'components'.DS.'com_iproperty'.DS.'helpers'.DS.'query.php' );

class JFormFieldCity extends JFormField
{
    protected $type = 'City';

	protected function getInput()
	{
		JPlugin::loadLanguage('com_iproperty', JPATH_ADMINISTRATOR);
        $cities = ipropertyHTML::city_select_list('','','', true);
		return JHtml::_('select.genericlist', $cities, $this->name, 'class="inputbox"', 'value', 'text', $this->value, $this->id);
	}

    public function getOptions()
	{
        JPlugin::loadLanguage('com_iproperty', JPATH_ADMINISTRATOR);

        $options = array();
        $options = ipropertyHTML::city_select_list('','','', true);

		return $options;
    }
}


