<?php
/**
 * @version 2.0 2012-01-20
 * @package Joomla
 * @subpackage Iproperty
 * @copyright (C)  2012 the StarTech
 * @license see LICENSE.php
 */

defined('_JEXEC') or die('Restricted access');

$document           = JFactory::getDocument();

require_once('components'.DS.'com_iproperty'.DS.'helpers'.DS.'html.helper.php');
require_once('components'.DS.'com_iproperty'.DS.'helpers'.DS.'query.php');
require_once('components'.DS.'com_iproperty'.DS.'helpers'.DS.'route.php');
require_once('administrator'.DS.'components'.DS.'com_iproperty'.DS.'classes'.DS.'admin.class.php');

$default_search_string  = JText::_('MOD_IP_QUICKSEARCH_DKEYWORD');
$default_button_text    = JText::_('MOD_IP_QUICKSEARCH_DSEARCH');
$settings               = ipropertyAdmin::config();
$fractions              = $settings->baths_fraction;

$price_low  = JRequest::getInt('price_low') ? JRequest::getInt('price_low') : '';
$price_high = JRequest::getInt('price_high') ? JRequest::getInt('price_high') : '';

$lists = array();
//$lists['category'] = modIPSearchHelper::getCatList();
$lists['p_low']     = ipropertyHTML::price_select_list('price_low','class="inputbox" style="width: '.(($params->get('width')/2)-5).'px;"', $price_low, '', false);
$lists['p_high']    = ipropertyHTML::price_select_list('price_high','class="inputbox" style="width: '.(($params->get('width')/2)-5).'px;"', $price_high, '', true);
$lists['cat']       = ipropertyHTML::multicatSelectList('cat','class="inputbox" style="width: '.$params->get('width').'px;"', $params->get('qs_ptype', ''));
$lists['stype']     = ipropertyHTML::stype_select_list('stype','class="inputbox" style="width: '.$params->get('width').'px;"', '', true);
$lists['city']      = ipropertyHTML::city_select_list('city','class="inputbox" style="width: '.$params->get('width').'px;"', '');
$lists['state']     = ipropertyHTML::state_select_list('locstate','class="inputbox" style="width: '.$params->get('width').'px;"', '',true);
$lists['province']  = ipropertyHTML::province_select_list('province','class="inputbox" style="width: '.$params->get('width').'px;"', '');
$lists['counties']  = ipropertyHTML::county_select_list('county','class="inputbox" style="width: '.$params->get('width').'px;"', '');
$lists['regions']   = ipropertyHTML::region_select_list('region','class="inputbox" style="width: '.$params->get('width').'px;"', '');
$lists['countries'] = ipropertyHTML::country_select_list('country','class="inputbox" style="width: '.$params->get('width').'px;"', '', true);
$lists['beds']      = ipropertyHTML::beds_select_list('beds','class="inputbox" style="width: '.(($params->get('width') / 2)-2).'px;"', '');
$lists['baths']     = ipropertyHTML::baths_select_list('baths','class="inputbox" style="width: '.(($params->get('width') / 2)-2).'px;"', '',$fractions);

$checkscript = "
//<![CDATA[
    ";
    if($params->get('show_state')){ //this part only necessary if state is enabled
        $checkscript .= "
        window.addEvent('domready', function() {
            if($('locstate')){
                $('locstate').addEvent( 'change', function(e){
                    e.stop();
                    var stateselected   = $('locstate').value;
                    var url = ".JURI::root(true)."'index.php?option=com_iproperty&amp;task=ajax.filterCity';
                    var req = new Request({
                        url : url,
                        method: 'post',
                        data: { 'format': 'raw',
                                'ipstate': stateselected,
                                'width': '".$params->get('width')."',
                                '".JUtility::getToken()."': 1
                              },
                        onSuccess: function(response) {
                                $('city').empty();
                                var citydata = JSON.decode(response);
                                Array.each(citydata, function(value){
                                    new Element('option')
                                        .set('text',value.text)
                                        .set('value',value.value)
                                        .inject($('city'));
                                });
                            }
                    }).send();
                });
            }
        })";
    }
    
$checkscript .= "
    function checkSearchMod(){
        if( $('ip_searchmod').search.value == '".$default_search_string."'){
            $('ip_searchmod').search.value = '';
            $('ip_searchmod').submit();
        }
    }

    function isNumberKey(evt)
    {
        var charCode = (evt.which) ? evt.which : event.keyCode
        if (charCode > 31 && (charCode < 48 || charCode > 57)) return false;
        return true;
    }
//]]>";
$document->addScriptDeclaration($checkscript);

$ipstyle ='
    .ip_qsmod{margin: 3px 0px; white-space: nowrap;}
    .ip_qsmod_bbhead{border-bottom: solid 1px #ccc;}
    .ip_qsmod_adv{margin: 5px; text-align: right;}';
$document->addStyleDeclaration($ipstyle);

require(JModuleHelper::getLayoutPath('mod_ip_quicksearch', $params->get('layout', 'default')));
