/**
* @version 2.0 2012-01-20
* @package Joomla
* @subpackage Intellectual Property
* @copyright (C) 2012 the StarTech
* @license GNU/GPL see LICENSE.php
*/

--
-- Dumping data for table `#__iproperty_amenities`
--

INSERT INTO `#__iproperty_amenities` (`id`, `title`, `ip_source`, `cat`) VALUES
-- general amen = 0
-- interior amen = 1
-- exterior amen = 2

(1, 'Теннисный корт', 0, 2),
(3, 'Бассейн', 0, 2),
(4, 'Гараж', 0, 2),
(5, 'Камин', 0, 0),
(6, 'Посудомоечная машина', 0, 1),
(7, 'Мусороудаление', 0, 1),
(8, 'Вентиляция', 0, 1),
(9, 'Ковровое покрытие', 0, 1),
(10, 'Стиральная машина / сушилка', 0, 1),
(11, 'Газовый камин', 0, 1),
(12, 'Газовая плита', 0, 1),
(13, 'Кабельное ТВ', 0, 0),
(14, 'Кабельный Интернет', 0, 0),
(15, 'Дровяная Плита', 0, 1),
(16, 'Джакузи', 0, 1),
(17, 'Мансардные окна', 0, 0),
(18, 'Охранная сигнализация', 0, 1),
(19, 'Удобства для инвалидов', 0, 1),
(20, 'Пелле Плита', 0, 1),
(21, 'Центральлизованый пылесос', 0, 1),
(22, 'Газон', 0, 2),
(23, 'Ландшафтный дизайн', 0, 2),
(24, 'Терасса', 0, 2),
(25, 'Забор', 0, 2),
(26, 'Парковки', 0, 2),
(27, 'Пастбище', 0, 2),
(28, 'Плодовые деревья', 0, 2),
(29, 'Спутниковая антенна', 0, 0),
(30, 'Спринклерная система', 0, 2),
(31, 'Крытое патио', 0, 2),
(32, 'Слип', 0, 2),
(33, 'Наружное освещение', 0, 2),
(34, 'Спа / горячая ванна', 0, 2),
(35, 'Беседка', 0, 2),
(36, 'Печь / духовка', 0, 1),
(37, 'Холодильник', 0, 1),
(39, 'Электробойлер', 0, 0),
(40, 'Микроволновая печь', 0, 1),
(41, 'Мойка', 0, 1),
(42, 'Сушилка', 0, 1),
(43, 'Фильтр для воды', 0, 0),
(44, 'Калорифер газо / электро', 0, 1),
(45, 'Газовый котел', 0, 1),
(46, 'Газовая колонка', 0, 0),
(47, 'Гриль', 0, 0),
(48, 'Уплотнитель мусора', 0, 1),
(49, 'Морозильные камеры', 0, 1);

--
-- Dumping data for table `#__iproperty_countries`
--

INSERT INTO `#__iproperty_countries` (`id`, `title`, `mc_name`) VALUES
(1, 'Кипр', 'CY'),
(2, 'Чехия', 'CZ'),
(3, 'Франция', 'FR'),
(4, 'Израиль', 'IL'),
(5, 'Молдова', 'MD'),
(6, 'Панама', 'PA'),
(7, 'Россия', 'RU'),
(8, 'Украина', 'UA');

--
-- Dumping data for table `#__iproperty_currency`
--

INSERT INTO `#__iproperty_currency` (`id`, `country`, `currency`, `curr_abbreviation`, `curr_code`) VALUES
(1, 'AFGHANISTAN ', 'Afghani ', 'AFN', 971),
(2, 'ÅLAND ISLANDS ', 'Euro ', 'EUR', 978),
(3, 'ALBANIA ', 'Lek ', 'ALL', 8),
(4, 'ALGERIA ', 'Algerian Dinar ', 'DZD', 12),
(5, 'AMERICAN SAMOA ', 'US Dollar ', 'USD', 840),
(6, 'ANDORRA ', 'Euro ', 'EUR', 978),
(7, 'ANGOLA ', 'Kwanza ', 'AOA', 973),
(8, 'ANGUILLA ', 'East Caribbean Dollar ', 'XCD', 951),
(9, 'ANTIGUA AND BARBUDA ', 'East Caribbean Dollar ', 'XCD', 951),
(10, 'ARGENTINA ', 'Argentine Peso ', 'ARS', 32),
(11, 'ARMENIA ', 'Armenian Dram ', 'AMD', 51),
(12, 'ARUBA ', 'Aruban Guilder ', 'AWG', 533),
(13, 'AUSTRALIA ', 'Australian Dollar ', 'AUD', 36),
(14, 'AUSTRIA ', 'Euro ', 'EUR', 978),
(15, 'AZERBAIJAN ', 'Azerbaijanian Manat ', 'AZN', 944),
(16, 'BAHAMAS ', 'Bahamian Dollar ', 'BSD', 44),
(17, 'BAHRAIN ', 'Bahraini Dinar ', 'BHD', 48),
(18, 'BANGLADESH ', 'Taka ', 'BDT', 50),
(19, 'BARBADOS ', 'Barbados Dollar ', 'BBD', 52),
(20, 'BELARUS ', 'Belarussian Ruble ', 'BYR', 974),
(21, 'BELGIUM ', 'Euro ', 'EUR', 978),
(22, 'BELIZE ', 'Belize Dollar ', 'BZD', 84),
(24, 'BERMUDA ', 'Bermudian Dollar', 'BMD', 60),
(25, 'BHUTAN ', 'Ngultrum ', 'BTN', 64),
(26, 'BOLIVIA ', 'Boliviano', 'BOB', 68),
(27, 'BOSNIA AND HERZEGOVINA ', 'Convertible Marks ', 'BAM', 977),
(28, 'BOTSWANA ', 'Pula ', 'BWP', 72),
(29, 'BOUVET ISLAND ', 'Norwegian Krone ', 'NOK', 578),
(30, 'BRAZIL ', 'Brazilian Real ', 'BRL', 986),
(31, 'BRITISH INDIAN OCEAN TERRITORY ', 'US Dollar ', 'USD', 840),
(32, 'BRUNEI DARUSSALAM ', 'Brunei Dollar ', 'BND', 96),
(33, 'BULGARIA ', 'Bulgarian Lev ', 'BGN', 975),
(35, 'BURUNDI ', 'Burundi Franc ', 'BIF', 108),
(36, 'CAMBODIA ', 'Riel ', 'KHR', 116),
(37, 'CAMEROON ', 'CFA Franc BEAC', 'XAF', 950),
(38, 'CANADA ', 'Canadian Dollar ', 'CAD', 124),
(39, 'CAPE VERDE ', 'Cape Verde Escudo ', 'CVE', 132),
(40, 'CAYMAN ISLANDS ', 'Cayman Islands Dollar ', 'KYD', 136),
(41, 'CENTRAL AFRICAN REPUBLIC ', 'CFA Franc BEAC', 'XAF', 950),
(42, 'CHAD ', 'CFA Franc BEAC', 'XAF', 950),
(43, 'CHILE ', 'Chilean Peso', 'CLP', 152),
(44, 'CHINA ', 'Yuan Renminbi ', 'CNY', 156),
(45, 'CHRISTMAS ISLAND ', 'Australian Dollar ', 'AUD', 36),
(46, 'COCOS (KEELING) ISLANDS ', 'Australian Dollar ', 'AUD', 36),
(47, 'COLOMBIA ', 'Colombian Peso', 'COP', 170),
(48, 'COMOROS ', 'Comoro Franc ', 'KMF', 174),
(49, 'CONGO ', 'CFA Franc BEAC', 'XAF', 950),
(50, 'CONGO, THE DEMOCRATIC REPUBLIC OF ', 'Congolese Franc ', 'CDF', 976),
(51, 'COOK ISLANDS ', 'New Zealand Dollar ', 'NZD', 554),
(52, 'COSTA RICA ', 'Costa Rican Colon ', 'CRC', 188),
(53, 'CÔTE D''IVOIRE ', 'CFA Franc BCEAO', 'XOF', 952),
(54, 'CROATIA ', 'Croatian Kuna ', 'HRK', 191),
(55, 'CUBA ', 'Cuban Peso', 'CUP', 192),
(56, 'CYPRUS ', 'Euro ', 'EUR', 978),
(57, 'CZECH REPUBLIC ', 'Czech Koruna ', 'CZK', 203),
(58, 'DENMARK ', 'Danish Krone ', 'DKK', 208),
(59, 'DJIBOUTI ', 'Djibouti Franc ', 'DJF', 262),
(60, 'DOMINICA ', 'East Caribbean Dollar ', 'XCD', 951),
(61, 'DOMINICAN REPUBLIC ', 'Dominican Peso ', 'DOP', 214),
(62, 'ECUADOR ', 'US Dollar ', 'USD', 840),
(63, 'EGYPT ', 'Egyptian Pound ', 'EGP', 818),
(64, 'EL SALVADOR ', 'El Salvador Colon', 'SVC', 222),
(65, 'EQUATORIAL GUINEA ', 'CFA Franc BEAC', 'XAF', 950),
(66, 'ERITREA ', 'Nakfa ', 'ERN', 232),
(67, 'ESTONIA ', 'Kroon ', 'EEK', 233),
(68, 'ETHIOPIA ', 'Ethiopian Birr ', 'ETB', 230),
(69, 'FALKLAND ISLANDS (MALVINAS) ', 'Falkland Islands Pound ', 'FKP', 238),
(70, 'FAROE ISLANDS ', 'Danish Krone ', 'DKK', 208),
(71, 'FIJI ', 'Fiji Dollar ', 'FJD', 242),
(72, 'FINLAND ', 'Euro ', 'EUR', 978),
(73, 'FRANCE ', 'Euro ', 'EUR', 978),
(74, 'FRENCH GUIANA ', 'Euro ', 'EUR', 978),
(75, 'FRENCH POLYNESIA ', 'CFP Franc ', 'XPF', 953),
(76, 'FRENCH SOUTHERN TERRITORIES ', 'Euro ', 'EUR', 978),
(77, 'GABON ', 'CFA Franc BEAC', 'XAF', 950),
(78, 'GAMBIA ', 'Dalasi ', 'GMD', 270),
(79, 'GEORGIA ', 'Lari ', 'GEL', 981),
(80, 'GERMANY ', 'Euro ', 'EUR', 978),
(81, 'GHANA ', 'Cedi ', 'GHS', 936),
(82, 'GIBRALTAR ', 'Gibraltar Pound ', 'GIP', 292),
(83, 'GREECE ', 'Euro ', 'EUR', 978),
(84, 'GREENLAND ', 'Danish Krone ', 'DKK', 208),
(85, 'GRENADA ', 'East Caribbean Dollar ', 'XCD', 951),
(86, 'GUADELOUPE ', 'Euro ', 'EUR', 978),
(87, 'GUAM ', 'US Dollar ', 'USD', 840),
(88, 'GUATEMALA ', 'Quetzal ', 'GTQ', 320),
(89, 'GUERNSEY ', 'Pound Sterling ', 'GBP', 826),
(90, 'GUINEA ', 'Guinea Franc ', 'GNF', 324),
(91, 'GUINEA-BISSAU ', 'Guinea-Bissau Peso', 'GWP', 624),
(92, 'GUYANA ', 'Guyana Dollar ', 'GYD', 328),
(93, 'HAITI ', 'Gourde', 'HTG', 332),
(94, 'HEARD ISLAND AND MCDONALD ISLANDS ', 'Australian Dollar ', 'AUD', 36),
(95, 'HOLY SEE (VATICAN CITY STATE) ', 'Euro ', 'EUR', 978),
(96, 'HONDURAS ', 'Lempira ', 'HNL', 340),
(97, 'HONG KONG ', 'Hong Kong Dollar ', 'HKD', 344),
(98, 'HUNGARY ', 'Forint ', 'HUF', 348),
(99, 'ICELAND ', 'Iceland Krona ', 'ISK', 352),
(100, 'INDIA ', 'Indian Rupee ', 'INR', 356),
(101, 'INDONESIA ', 'Rupiah ', 'IDR', 360),
(102, 'IRAN, ISLAMIC REPUBLIC OF ', 'Iranian Rial ', 'IRR', 364),
(103, 'IRAQ ', 'Iraqi Dinar ', 'IQD', 368),
(104, 'IRELAND ', 'Euro ', 'EUR', 978),
(105, 'ISRAEL ', 'New Israeli Sheqel ', 'ILS', 376),
(106, 'ITALY ', 'Euro ', 'EUR', 978),
(107, 'JAMAICA ', 'Jamaican Dollar ', 'JMD', 388),
(108, 'JAPAN ', 'Yen ', 'JPY', 392),
(109, 'JERSEY ', 'Pound Sterling ', 'GBP', 826),
(110, 'JORDAN ', 'Jordanian Dinar ', 'JOD', 400),
(111, 'KAZAKHSTAN ', 'Tenge ', 'KZT', 398),
(112, 'KENYA ', 'Kenyan Shilling ', 'KES', 404),
(113, 'KIRIBATI ', 'Australian Dollar ', 'AUD', 36),
(114, 'KOREA, DEMOCRATIC PEOPLE''S REPUBLIC OF ', 'North Korean Won ', 'KPW', 408),
(115, 'KOREA, REPUBLIC OF ', 'Won ', 'KRW', 410),
(116, 'KUWAIT ', 'Kuwaiti Dinar ', 'KWD', 414),
(117, 'KYRGYZSTAN ', 'Som ', 'KGS', 417),
(118, 'LAO PEOPLE''S DEMOCRATIC REPUBLIC ', 'Kip ', 'LAK', 418),
(119, 'LATVIA ', 'Latvian Lats ', 'LVL', 428),
(120, 'LEBANON ', 'Lebanese Pound ', 'LBP', 422),
(121, 'LESOTHO ', 'Rand', 'ZAR', 710),
(122, 'LIBERIA ', 'Liberian Dollar ', 'LRD', 430),
(123, 'LIBYAN ARAB JAMAHIRIYA ', 'Libyan Dinar ', 'LYD', 434),
(124, 'LIECHTENSTEIN ', 'Swiss Franc ', 'CHF', 756),
(125, 'LITHUANIA ', 'Lithuanian Litas ', 'LTL', 440),
(126, 'LUXEMBOURG ', 'Euro ', 'EUR', 978),
(127, 'MACAO ', 'Pataca ', 'MOP', 446),
(128, 'MACEDONIA, THE FORMER YUGOSLAV REPUBLIC OF ', 'Denar ', 'MKD', 807),
(129, 'MADAGASCAR ', 'Malagasy Ariary ', 'MGA', 969),
(130, 'MALAWI ', 'Kwacha ', 'MWK', 454),
(131, 'MALAYSIA ', 'Malaysian Ringgit ', 'MYR', 458),
(132, 'MALDIVES ', 'Rufiyaa ', 'MVR', 462),
(133, 'MALI ', 'CFA Franc BCEAO', 'XOF', 952),
(134, 'MALTA ', 'Euro ', 'EUR', 978),
(135, 'MARSHALL ISLANDS ', 'US Dollar ', 'USD', 840),
(136, 'MARTINIQUE ', 'Euro ', 'EUR', 978),
(137, 'MAURITANIA ', 'Ouguiya ', 'MRO', 478),
(138, 'MAURITIUS ', 'Mauritius Rupee ', 'MUR', 480),
(139, 'MAYOTTE ', 'Euro ', 'EUR', 978),
(140, 'MEXICO ', 'Mexican Peso', 'MXN', 484),
(141, 'MICRONESIA, FEDERATED STATES OF ', 'US Dollar ', 'USD', 840),
(142, 'MOLDOVA, REPUBLIC OF ', 'Moldovan Leu ', 'MDL', 498),
(143, 'MONACO ', 'Euro ', 'EUR', 978),
(144, 'MONGOLIA ', 'Tugrik ', 'MNT', 496),
(145, 'MONTENEGRO ', 'Euro ', 'EUR', 978),
(146, 'MONTSERRAT ', 'East Caribbean Dollar ', 'XCD', 951),
(147, 'MOROCCO ', 'Moroccan Dirham ', 'MAD', 504),
(148, 'MOZAMBIQUE ', 'Metical ', 'MZN', 943),
(149, 'MYANMAR ', 'Kyat ', 'MMK', 104),
(150, 'NAMIBIA ', 'Rand', 'ZAR', 710),
(151, 'NAURU ', 'Australian Dollar ', 'AUD', 36),
(152, 'NEPAL ', 'Nepalese Rupee ', 'NPR', 524),
(153, 'NETHERLANDS ', 'Euro ', 'EUR', 978),
(154, 'NETHERLANDS ANTILLES ', 'Netherlands Antillian Guilder ', 'ANG', 532),
(155, 'NEW CALEDONIA ', 'CFP Franc ', 'XPF', 953),
(156, 'NEW ZEALAND ', 'New Zealand Dollar ', 'NZD', 554),
(157, 'NICARAGUA ', 'Cordoba Oro ', 'NIO', 558),
(158, 'NIGER ', 'CFA Franc BCEAO', 'XOF', 952),
(159, 'NIGERIA ', 'Naira ', 'NGN', 566),
(160, 'NIUE ', 'New Zealand Dollar ', 'NZD', 554),
(161, 'NORFOLK ISLAND ', 'Australian Dollar ', 'AUD', 36),
(162, 'NORTHERN MARIANA ISLANDS ', 'US Dollar ', 'USD', 840),
(163, 'NORWAY ', 'Norwegian Krone ', 'NOK', 578),
(164, 'OMAN ', 'Rial Omani ', 'OMR', 512),
(165, 'PAKISTAN ', 'Pakistan Rupee ', 'PKR', 586),
(166, 'PALAU ', 'US Dollar ', 'USD', 840),
(167, 'PANAMA ', 'Balboa', 'PAB', 590),
(168, 'PAPUA NEW GUINEA ', 'Kina ', 'PGK', 598),
(169, 'PARAGUAY ', 'Guarani ', 'PYG', 600),
(170, 'PERU ', 'Nuevo Sol ', 'PEN', 604),
(171, 'PHILIPPINES ', 'Philippine Peso ', 'PHP', 608),
(172, 'PITCAIRN ', 'New Zealand Dollar ', 'NZD', 554),
(173, 'POLAND ', 'Zloty ', 'PLN', 985),
(174, 'PORTUGAL ', 'Euro ', 'EUR', 978),
(175, 'PUERTO RICO ', 'US Dollar ', 'USD', 840),
(176, 'QATAR ', 'Qatari Rial ', 'QAR', 634),
(177, 'RÉUNION ', 'Euro ', 'EUR', 978),
(178, 'ROMANIA ', 'New Leu ', 'RON', 946),
(179, 'RUSSIAN FEDERATION ', 'Русский Рубль ', 'RUB', 643),
(180, 'RWANDA ', 'Rwanda Franc ', 'RWF', 646),
(181, 'SAINT-BARTHÉLEMY ', 'Euro ', 'EUR', 978),
(182, 'SAINT HELENA ', 'Saint Helena Pound ', 'SHP', 654),
(183, 'SAINT KITTS AND NEVIS ', 'East Caribbean Dollar ', 'XCD', 951),
(184, 'SAINT LUCIA ', 'East Caribbean Dollar ', 'XCD', 951),
(185, 'SAINT MARTIN ', 'Euro ', 'EUR', 978),
(186, 'SAINT PIERRE AND MIQUELON ', 'Euro ', 'EUR', 978),
(187, 'SAINT VINCENT AND THE GRENADINES ', 'East Caribbean Dollar ', 'XCD', 951),
(188, 'SAMOA ', 'Tala ', 'WST', 882),
(189, 'SAN MARINO ', 'Euro ', 'EUR', 978),
(190, 'SÃO TOME AND PRINCIPE ', 'Dobra ', 'STD', 678),
(191, 'SAUDI ARABIA ', 'Saudi Riyal ', 'SAR', 682),
(192, 'SENEGAL ', 'CFA Franc BCEAO', 'XOF', 952),
(193, 'SERBIA ', 'Serbian Dinar ', 'RSD', 941),
(194, 'SEYCHELLES ', 'Seychelles Rupee ', 'SCR', 690),
(195, 'SIERRA LEONE ', 'Leone ', 'SLL', 694),
(196, 'SINGAPORE ', 'Singapore Dollar ', 'SGD', 702),
(197, 'SLOVAKIA ', 'Euro ', 'EUR', 978),
(198, 'SLOVENIA ', 'Euro ', 'EUR', 978),
(199, 'SOLOMON ISLANDS ', 'Solomon Islands Dollar ', 'SBD', 90),
(200, 'SOMALIA ', 'Somali Shilling ', 'SOS', 706),
(201, 'SOUTH AFRICA ', 'Rand ', 'ZAR', 710),
(202, 'SPAIN ', 'Euro ', 'EUR', 978),
(203, 'SRI LANKA ', 'Sri Lanka Rupee ', 'LKR', 144),
(204, 'SUDAN ', 'Sudanese Pound ', 'SDG', 938),
(205, 'SURINAME ', 'Surinam Dollar ', 'SRD', 968),
(206, 'SVALBARD AND JAN MAYEN ', 'Norwegian Krone ', 'NOK', 578),
(207, 'SWAZILAND ', 'Lilangeni ', 'SZL', 748),
(208, 'SWEDEN ', 'Swedish Krona ', 'SEK', 752),
(209, 'SWITZERLAND ', 'Swiss Franc', 'CHF', 756),
(210, 'SYRIAN ARAB REPUBLIC ', 'Syrian Pound ', 'SYP', 760),
(211, 'TAIWAN, PROVINCE OF CHINA ', 'New Taiwan Dollar ', 'TWD', 901),
(212, 'TAJIKISTAN ', 'Somoni ', 'TJS', 972),
(213, 'TANZANIA, UNITED REPUBLIC OF ', 'Tanzanian Shilling ', 'TZS', 834),
(214, 'THAILAND ', 'Baht ', 'THB', 764),
(215, 'TIMOR-LESTE ', 'US Dollar ', 'USD', 840),
(216, 'TOGO ', 'CFA Franc BCEAO', 'XOF', 952),
(217, 'TOKELAU ', 'New Zealand Dollar ', 'NZD', 554),
(218, 'TONGA ', 'Pa''anga ', 'TOP', 776),
(219, 'TRINIDAD AND TOBAGO ', 'Trinidad and Tobago Dollar ', 'TTD', 780),
(220, 'TUNISIA ', 'Tunisian Dinar ', 'TND', 788),
(221, 'TURKEY ', 'Turkish Lira ', 'TRY', 949),
(222, 'TURKMENISTAN ', 'Manat ', 'TMT', 934),
(223, 'TURKS AND CAICOS ISLANDS ', 'US Dollar ', 'USD', 840),
(224, 'TUVALU ', 'Australian Dollar ', 'AUD', 36),
(225, 'UGANDA ', 'Uganda Shilling ', 'UGX', 800),
(226, 'UKRAINE ', 'Украинская Гривна ', 'UAH', 980),
(227, 'UNITED ARAB EMIRATES ', 'UAE Dirham ', 'AED', 784),
(228, 'UNITED KINGDOM ', 'Pound Sterling ', 'GBP', 826),
(229, 'UNITED STATES ', 'US Dollar', 'USD', 840),
(230, 'UNITED STATES MINOR OUTLYING ISLANDS ', 'US Dollar ', 'USD', 840),
(231, 'URUGUAY ', 'Peso Uruguayo', 'UYU', 858),
(232, 'UZBEKISTAN ', 'Uzbekistan Sum ', 'UZS', 860),
(233, 'VANUATU ', 'Vatu ', 'VUV', 548),
(234, 'VENEZUELA ', 'Bolivar Fuerte ', 'VEF', 937),
(235, 'VIET NAM ', 'Dong ', 'VND', 704),
(236, 'VIRGIN ISLANDS (BRITISH) ', 'US Dollar ', 'USD', 840),
(237, 'VIRGIN ISLANDS (U.S.) ', 'US Dollar ', 'USD', 840),
(238, 'WALLIS AND FUTUNA ', 'CFP Franc ', 'XPF', 953),
(239, 'WESTERN SAHARA ', 'Moroccan Dirham ', 'MAD', 504),
(240, 'YEMEN ', 'Yemeni Rial ', 'YER', 886),
(241, 'ZAMBIA ', 'Zambian Kwacha ', 'ZMK', 894),
(242, 'ZIMBABWE ', 'Zimbabwe Dollar ', 'ZWL', 932);


--
-- Dumping data for table `#__iproperty_settings`
--

INSERT INTO `#__iproperty_settings` (`id`, `offline`, `offmessage`, `showtitle`, `street_num_pos`, `showsold`, `showpending`, `banner_display`, `currency`, `currency_digits`, `currency_pos`, `nformat`, `footer`, `measurement_units`, `send_requests`, `copy_admin`, `new_days`, `rss`, `iplayout`, `show_scats`, `cat_entries`, `cat_photo_width`, `cat_recursive`, `show_featured`, `featured_pos`, `cat_featured`, `cat_featured_pos`, `num_featured`, `show_sendtofriend`, `show_flyer`, `featured_accent`, `perpage`, `overview_char`, `imgpath`, `maximgsize`, `maximgs`, `gplibrary`, `imgwidth`, `imgheight`, `imgproportion`, `imgquality`, `watermark`, `watermark_text`, `thumbwidth`, `thumbheight`, `thumbproportion`, `thumbquality`, `googlemap_enable`, `googlemap_key`, `css_file`, `accent`, `secondary_accent`, `gallery_width`, `gallery_height`, `gallerytype`, `tab_width`, `tab_height`, `flyer_logo`, `flyer_email`, `flyer_phone`, `disclaimer`, `notify_sendfriend`, `notify_saveprop`, `notify_savesearch`, `form_recipient`, `form_copyadmin`, `show_saveproperty`, `show_mtgcalc`, `show_agent`, `agent_photo_width`, `agent_show_image`, `agent_show_address`, `agent_show_contact`, `agent_show_email`, `agent_show_fax`, `agent_show_mobile`, `agent_show_phone`, `agent_show_website`, `agent_show_featured`, `agent_show_social`, `agent_show_license`, `agent_feat_num`, `agent_feat_pos`, `company_photo_width`, `co_show_image`, `co_show_address`, `co_show_contact`, `co_show_email`, `co_show_fax`, `co_show_phone`, `co_show_website`, `co_show_featured`, `co_show_license`, `co_feat_num`, `co_feat_pos`, `qs_show_keyword`, `qs_show_cat`, `qs_show_stype`, `qs_show_country`, `qs_show_city`, `qs_show_state`, `qs_show_province`, `qs_show_minbeds`, `qs_show_minbaths`, `qs_show_price`, `adv_map_width`, `adv_map_height`, `adv_slider_length`, `adv_price_low`, `adv_price_high`, `adv_beds_low`, `adv_beds_high`, `adv_baths_low`, `adv_baths_high`, `adv_sqft_low`, `adv_sqft_high`, `adv_default_lat`, `adv_default_long`, `adv_default_zoom`, `adv_show_hoa`, `adv_show_reo`, `adv_show_wf`, `adv_maptype`, `adv_show_stype`, `adv_show_preview`, `adv_perpage`, `adv_nolimit`, `default_state`, `default_company`, `default_agent`, `default_category`, `default_country`, `baths_fraction`, `default_currency`, `pro_api_key`, `pro_last_run`, `pro_show_search`, `pro_propview_position`, `feed_gbase`, `feed_gbaseuk`, `feed_zillow`, `feed_kml`) VALUES
(1, 0, 'Извините мы тут пока на переучет закрылись. Позже зайдите, пожалуйста!', 1, 0, 1, 1, 1, '$', 2, 0, 1, 1, 0, 0, 0, 7, 100, 2, 1, 1, 90, 1, 1, 1, 1, 1, 5, 1, 1, '#ff120a', 10, 250, '/media/com_iproperty/pictures/', '7000', 0, 'gd2', 710, 0, 1, 80, 1, 'Watermark Text Here', 150, 0, 1, 100, 1, '', 'iproperty.css', '#438de0', '#d9ebff', 710, 450, 3, 370, 240, '', 'email@email.com', '555-555-5555', 'This is the property disclaimer. Typically you would use this to disclaim liability for accuracy in listing data, add statements attributing ownership of photos and listing information, etc.', 1, 1, 1, 0, 0, 1, 1, 1, 90, 1, 1, 1, 1, 0, 1, 1, 1, 1, 0, 0, 5, 1, 90, 1, 1, 1, 1, 0, 1, 1, 1, 0, 5, 1, 0, 1, 1, 0, 0, 0, 0, 1, 1, 0, 676, 350, 300, 100000, 500000, 0, 10, 0, 10, 800, 10000, '47.6725282', '-116.7679661', 10, 1, 1, 1, 'ROADMAP', 1, 0, 10, 1, 0, 0, 0, 0, 0, 1, 'USD', '', '', 0, 0, 0, 0, 0, 0);


--
-- Dumping data for table `#__iproperty_states`
--

INSERT INTO `#__iproperty_states` (`id`, `title`, `mc_name`) VALUES
(1, 'Винницкая ', 'VI'),
(2, 'Волынская', 'VL'),
(3, 'Днепропетровская', 'DN'),
(4, 'Донецкая', 'DO'),
(5, 'Житомирская', 'ZT'),
(6, 'Закарпатская', 'ZK'),
(7, 'Запорожская', 'ZP'),
(8, 'Ивано-Франковская', 'ND'),
(9, 'Киевская', 'KI'),
(10, 'Кировоградская', 'KG'),
(11, 'Луганская', 'LG'),
(12, 'Львовская', 'LV'),
(25, 'Крым', 'CM'),
(24, 'Черновицкая', 'CV'),
(23, 'Черниговская', 'CN'),
(22, 'Черкасская', 'CR'),
(21, 'Хмельницкая', 'HM'),
(20, 'Херсонская', 'HE'),
(19, 'Харьковская', 'HA'),
(18, 'Тернопольская', 'TR'),
(17, 'Сумская', 'SU'),
(16, 'Ровненская', 'RO'),
(15, 'Полтавская', 'PO'),
(14, 'Одесская', 'OD'),
(13, 'Николаевская', 'NI');

--
-- Dumping data for table `#__iproperty_stypes`
--

INSERT INTO `#__iproperty_stypes` (`id`, `name`, `banner_image`, `banner_color`, `state`, `show_banner`) VALUES
(1, 'Продажа','','', 1, 0),
(2, 'Аренда','','', 1, 0),
(3, 'Продажа и Аренда','','', 1, 0),
(4, 'Продано','components/com_iproperty/assets/images/banners/banner_sold.png','#cc0000', 1, 1),
(5, 'В оформлении','components/com_iproperty/assets/images/banners/banner_pending.png','#e8ab07', 1, 1);