<?php
/**
 * @version 1.7.1 2011-10-27
 * @package Joomla
 * @subpackage Iproperty
 * @copyright (C)  2011 the Thinkery
 * @license see LICENSE.php
 */

defined('_JEXEC') or die('Restricted access');

// Include the helper functions only once
require_once (dirname(__FILE__).DS.'helper.php');

// Initialize variables
$document           = JFactory::getDocument();
$list               = modIPFeaturedHelper::getList($params);
$show_desc          = $params->get('show_desc', 1);
$counter            = 0;
$settings           = ipropertyAdmin::config();
$thumb_width        = (int) $params->get('thumb_width', 200) . 'px';
$thumb_height       = (int) $params->get('thumb_height', 120) . 'px';

if( !$list && $params->get('hide_mod', 1) ){ // hide module if possible with template
    return false;
}else if( !$list ){ // display no data message
    $layout = 'default_nodata';
}else{
    // include iproperty css if set in parameters
    if($params->get('include_ipcss', 1) && !defined('_IPMODCSS')){
        define('_IPMODCSS', true);
        $document->addStyleSheet(JURI::root(true).'/components/com_iproperty/assets/css/iproperty.css');
    }
    $layout = 'default';
}

require(JModuleHelper::getLayoutPath('mod_ip_featuredproperties', $layout));