<?php
/**
 * @version 2.0 2012-01-20
 * @package Joomla
 * @subpackage Iproperty
 * @copyright (C)  2012 the StarTech
 * @license see LICENSE.php
 */

defined('_JEXEC') or die('Restricted access');

/* fix for pagination 9-3-10
 * removed hidden ipquicksearch value that was not carried through in pagination
 * use $ipquicksearch_route as form action with ipquicksearch in url to be used in pagination
 */
$uri = JRoute::_(ipropertyHelperRoute::getAllPropertiesRoute());
$u = JURI::getInstance($uri);
$u->setVar('ipquicksearch', 1);
$ipquicksearch_route = str_replace('&', '&amp;', $u->toString());

$form_method = ($params->get('form_method', 'post'));
?>
<div class="ip_qsmod_holder">
<form action="<?php echo $ipquicksearch_route; ?>" method="<?php echo $form_method; ?>" name="ip_searchmod" id="ip_searchmod">
    <div class="ip_qsmod"><input type="text" name="search" class="inputbox" value="<?php echo $default_search_string; ?>" style="width: <?php echo $params->get('width'); ?>px;" <?php echo 'onblur="if(this.value==\'\') this.value=\''.$default_search_string.'\';" onfocus="if(this.value==\''.$default_search_string.'\') this.value=\'\';"'; ?> /></div>
    <div class="ip_qsmod"><?php echo $lists['cat']; ?></div>
    <?php if($params->get('show_stype')): ?>
        <div class="ip_qsmod"><?php echo $lists['stype']; ?></div>
    <?php endif; ?>    
    <?php if($params->get('show_state')): ?>
        <div class="ip_qsmod"><?php echo $lists['state']; ?></div>
    <?php endif; ?>
    <?php if($params->get('show_province')): ?>
        <div class="ip_qsmod"><?php echo $lists['province']; ?></div>
    <?php endif; ?>
    <?php if($params->get('show_city')): ?>
        <div class="ip_qsmod"><?php echo $lists['city']; ?></div>
    <?php endif; ?>
    <?php if($params->get('show_county')): ?>
        <div class="ip_qsmod"><?php echo $lists['counties']; ?></div>
    <?php endif; ?>
    <?php if($params->get('show_region')): ?>
        <div class="ip_qsmod"><?php echo $lists['regions']; ?></div>
    <?php endif; ?>
    <?php if($params->get('show_country')): ?>
        <div class="ip_qsmod"><?php echo $lists['countries']; ?></div>
    <?php endif; ?>
    <?php if($params->get('show_beds') || $params->get('show_baths')): ?>
        <div class="ip_qsmod_bbhead">
            <?php echo JText::_('MOD_IP_QUICKSEARCH_MIN_BB'); ?>
        </div>
        <div class="ip_qsmod"><?php echo ($params->get('show_beds')) ? $lists['beds'] : ''; ?> <?php echo ($params->get('show_baths')) ? $lists['baths'] : ''; ?></div>
    <?php endif; ?>
	<?php if($params->get('show_price') && $params->get('price_dropdowns')): ?>
		<div class="ip_qsmod_bbhead">
            <?php echo JText::_('MOD_IP_QUICKSEARCH_PRICE_RANGE'); ?>
        </div>
        <div class="ip_qsmod">
            <?php echo $lists['p_low']; ?> - <?php echo $lists['p_high']; ?>
        </div>
	<?php endif; ?>
    <?php if($params->get('show_price') && !$params->get('price_dropdowns')): ?>
        <div class="ip_qsmod_bbhead">
            <?php echo JText::_('MOD_IP_QUICKSEARCH_PRICE_RANGE'); ?>
        </div>
        <div class="ip_qsmod">
            <input type="text" name="price_low"  onkeypress="return isNumberKey(event)" value="<?php echo JText::_('MOD_IP_QUICKSEARCH_MIN_PRICE'); ?>" onblur="if(this.value=='') this.value='<?php echo JText::_('MOD_IP_QUICKSEARCH_MIN_PRICE'); ?>';" onfocus="if(this.value=='<?php echo JText::_('MOD_IP_QUICKSEARCH_MIN_PRICE'); ?>') this.value='';" class="inputbox" style="width: <?php echo (($params->get('width') / 2)-2); ?>px;" />
            <input type="text" name="price_high" onkeypress="return isNumberKey(event)" value="<?php echo JText::_('MOD_IP_QUICKSEARCH_MAX_PRICE'); ?>" onblur="if(this.value=='') this.value='<?php echo JText::_('MOD_IP_QUICKSEARCH_MAX_PRICE'); ?>';" onfocus="if(this.value=='<?php echo JText::_('MOD_IP_QUICKSEARCH_MAX_PRICE'); ?>') this.value='';" class="inputbox" style="width: <?php echo (($params->get('width') / 2)-2); ?>px;" />
        </div>
    <?php endif; ?>
    <input onclick="return checkSearchMod()" type="submit" class="button" value="<?php echo JText::_('MOD_IP_QUICKSEARCH_DSEARCH'); ?>" />
    <?php if ($params->get('show_advsearch')) : ?>
    <div class="ip_qsmod_adv"><a href="<?php echo JRoute::_(ipropertyHelperRoute::getAdvsearchRoute()); ?>"><?php echo JText::_( 'MOD_IP_QUICKSEARCH_ADVANCED_SEARCH' ); ?></a></div>
    <?php endif; ?>
    <?php if($params->get('form_method', 'post') == 'get') : ?>
        <input type="hidden" name="option" value="com_iproperty" />
        <input type="hidden" name="view" value="cat" />
        <input type="hidden" name="id" value="0" />
        <input type="hidden" name="Itemid" value="<?php echo $params->get('form_itemid'); ?>" />
        <input type="hidden" name="ipquicksearch" value="1" />
    <?php endif; ?>
</form>
</div>