<?php
/**
 * @version 2.0 2012-01-20
 * @package Joomla
 * @subpackage Intellectual Property
 * @copyright (C) 2012 the StarTech
 * @license GNU/GPL see LICENSE.php
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin');

class plgIpropertyAfterTools extends JPlugin
{
	function plgIpropertyAfterTools(&$subject, $config)  
    {
		parent::__construct($subject, $config);
        if(JRequest::getVar('iptask') == 'test'){
            $this->_test();
        }
	}

    function onAfterRenderTools($user, $settings)
	{
        $app = JFactory::getApplication();
		if($app->getName() != 'administrator') return true;

        echo '
            <div style="float: left;">
                <div class="icon">
                    <a href="index.php?option=com_iproperty&iptask=test">
                        '.JHTML::_('image', 'administrator/components/com_iproperty/assets/images/iproperty_backup.png', 'Back Up' ).'
                        <span>Testing</span>
                    </a>
                </div>
            </div>';
		return true;
	}

    function _test(){
        $app = JFactory::getApplication();
        $app->redirect('index.php?option=com_iproperty', 'Testing success!');
    }
}
