<?php
/**
 * @version 2.0 2012-01-20
 * @package Joomla
 * @subpackage Intellectual Property
 * @copyright (C) 2012 the StarTech
 * @license GNU/GPL see LICENSE.php
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin');

class plgIpropertyCraigslist extends JPlugin
{
	function plgIpropertyCraigslist(&$subject, $config)  
    {
		parent::__construct($subject, $config);
        $this->loadLanguage();
	}

	function onBeforeRenderProperty($property, $settings)
	{
        $app    = JFactory::getApplication();
        $doc    = JFactory::getDocument();
        $user   = JFactory::getUser();
        $auth   = new ipropertyHelperAuth();
        if($app->getName() != 'site') return true;

        if ( $auth->canEditProp($id) ){
            $text = "testing yo";
            
            // add the button into the toolbar
            $javascript = "\n
                window.addEvent('domready', function() {
                    var ipCraigslist = new Element('a', { id: 'ipCraigslist' });
                    ipCraigslist.inject(document.getElementById('ip_toolbar'));
                    ipCraigslist.set('html', '".JText::_('PLG_IP_CRAIGLSLIST')."');
                    ipCraigslist.set('href', 'javascript:void();');
                    ipCraigslist.addEvent('click', function(){
                        craiglist_window = window.open('', 'ipCraiglistWindow', 'status=0,toolbar=0,location=0,menubar=0,resizable=1,scrollbars=1');
                        craiglist_window.document.write('".$text."');
                    });
                });\n";
            
            // create javascript for craiglist request
            $doc->addScriptDeclaration( $javascript );
    
        } else {
            return false;
        }
        return false;
	}
}